audio_formatter: XAudioFormatter_Config Struct Reference

| audio_formatter Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XAudioFormatter_Config Struct Reference
Audio_formatter_v1_0

This typedef contains configuration information for a audio formatter core. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the device. More...
u32 | BaseAddress
| BaseAddress is the physical base address of the device's registers. More...
u8 | IncludeMM2S
| IncludeMM2S is MM2S included or not. More...
u8 | IncludeS2MM
| IncludeS2MM is S2MM included or not. More...
u8 | MaxChannelsMM2S
| MaxChannelsMM2S is the max number of channels supported in MM2S. More...
u8 | MaxChannelsS2MM
| MaxChannelsS2MM is the max number of channels supported in S2MM. More...
u8 | MM2SAddrWidth
| MM2SAddrWidth is the MM2S Address Width. More...
u8 | MM2SDataFormat
| MM2SDataFormat is the MM2S Data format. More...
u8 | PackagingModeMM2S
| PackagingModeMM2S is the MM2S packaging mode. More...
u8 | PackagingModeS2MM
| PackagingModeS2MM is the S2MM packaging mode. More...
u8 | S2MMAddrWidth
| S2MMAddrWidth is the S2MM Address Width. More...
u8 | S2MMDataFormat
| S2MMDataFormat is the S2MM Data format. More...

## Detailed Description

This typedef contains configuration information for a audio formatter core.

Each audio formatter core should have a configuration structure associated.

## Field Documentation

u32 XAudioFormatter_Config::BaseAddress

BaseAddress is the physical base address of the device's registers.

Referenced by XAudioFormatter_CfgInitialize(), and XSdiAud_GetChStat().

u16 XAudioFormatter_Config::DeviceId

DeviceId is the unique ID of the device.

u8 XAudioFormatter_Config::IncludeMM2S

IncludeMM2S is MM2S included or not.

u8 XAudioFormatter_Config::IncludeS2MM

IncludeS2MM is S2MM included or not.

u8 XAudioFormatter_Config::MaxChannelsMM2S

MaxChannelsMM2S is the max number of channels supported in MM2S.

Referenced by XAudioFormatterSetHwParams().

u8 XAudioFormatter_Config::MaxChannelsS2MM

MaxChannelsS2MM is the max number of channels supported in S2MM.

Referenced by XAudioFormatterSetHwParams().

u8 XAudioFormatter_Config::MM2SAddrWidth

MM2SAddrWidth is the MM2S Address Width.

u8 XAudioFormatter_Config::MM2SDataFormat

MM2SDataFormat is the MM2S Data format.

u8 XAudioFormatter_Config::PackagingModeMM2S

PackagingModeMM2S is the MM2S packaging mode.

u8 XAudioFormatter_Config::PackagingModeS2MM

PackagingModeS2MM is the S2MM packaging mode.

u8 XAudioFormatter_Config::S2MMAddrWidth

S2MMAddrWidth is the S2MM Address Width.

u8 XAudioFormatter_Config::S2MMDataFormat

S2MMDataFormat is the S2MM Data format.